<?php

namespace backend\components\croppers;


class CropContext
{
    /**
     * @var AbstractCrop
     */
    private $cropper;

    public function __construct(AbstractCrop $abstractCrop) {
        $this->cropper = $abstractCrop;
    }

    public function cropImage($image, $path) {
        return $this->cropper->crop($image, $path);
    }
}