<?php


use yii\helpers\Html;

/* @var $this yii\web\View */
$this->title = 'Image gallery';
?>
<?= Html::a('Loader', ['index']); ?>
<div>
    <span>
        <?= Html::a('Download all', ['download-all'], ['class' => 'btn btn-primary']); ?>
    </span>
    <span>
        <?= Html::buttonInput('Delete', ['class' => 'btn btn-warning', 'id' => 'delete']); ?>
    </span>
    <span>
        <?= Html::buttonInput('Select All', ['class' => 'btn btn-info', 'id' => 'select-all']); ?>
    </span>
</div>
<div class="content">
<?php foreach ($files as $file): ?>
    <div data-url="<?= Html::encode($file) ?>" style="display: inline-block; border: 1px solid black">
        <label>
            <img height="300px" src="<?= Html::encode($file) ?>">
            <input style="display: block; margin: auto" type="checkbox" value="<?= Html::encode($file) ?>" class="single-checkbox">
        </label>
    </div>
<?php endforeach ?>
</div>
