<?php

use \kartik\file\FileInput;
use yii\widgets\ActiveForm;
use yii\helpers\Html;

/* @var $this yii\web\View */
$this->title = 'Image cropper';
?>
<?= Html::a('Gallery', ['image/gallery']) ?>
<?php $form = ActiveForm::begin(['options' => ['enctype'=>'multipart/form-data']]); ?>
    <?= $form->field($model, 'imageFiles[]')->widget(FileInput::classname(), [
        'options' => ['accept' => 'image/*', 'multiple' => true],
        'language' => 'ru'
    ]); ?>
    <?= Html::dropDownList('crop_id', 1, $ukrSeeds, ['id' => 'ukr_seeds']) ?>
<?php $form->end(); ?>
<?= Html::buttonInput('Draw', ['onclick' => 'js:draw();', 'style' => 'display : block']) ?>
<canvas/>


